import time
from lite import *

# Определение алиасов ------------------------------------------------------
T_куб = T0
T_царга = T1
T_деф = T2
T_вода = T4
тэн = w0
клапан = q0
расход = Q0
# Этап разгона --------------------------------------------------------------
тэн.on() # Включаем ТЭН на максимальную мощность
print('\nРазгон...')
while T_царга.v < 65.0: # Ждем пока куб не закипит и пар не пойдет в колонну
  print(T_куб.v, T_царга.v, T_деф.v, T_вода.v, end = '\r')
  time.sleep(1) # Секундная пауза
тэн.v = 600.0 # Разогнались, переводим ТЭН на рабочую мощность
# Этап вывода колонны на стационар ------------------------------------------  
print('\nВыводим колонну на стационар...') 
while abs(T_царга.v - T_деф.v) > 1.0: # До сравнивания т-р в дефе и царге
  print(T_куб.v, T_царга.v, T_деф.v, T_вода.v, end = '\r')
  time.sleep(1) # Секундная пауза
# Этап отбора голов----------------------------------------------------------
расход.v = 0 # Сбросим счетчик расхода
клапан.v = 50 # Влючаем отбор со скоростью 50 мл/час
print('\nОтбираем головы...') 
while расход.v < 2: # Отберем 2 мл голов. Ну это просто для теста :)
  print(расход.v, end = '\r')
  time.sleep(1) # Секундная пауза
print('\nОтобрано ' + str(расход.v) + ' мл голов')
# Завершаем работу ----------------------------------------------------------
клапан.off()
тэн.off()
